Page MenuHomePhabricator

Make "arc land" complain if builds are still executing or have failed
Closed, ResolvedPublic

Description

Before landing a revision, we should check if the primary corresponding buildable is building or failed and make the user confirm if it is, i.e.:

Build plans for this revision failed!

  (BUILDING) Run Long Tests
  ( FAILED!) Run Unit Tests

Land anyway? [y/N]

Event Timeline

epriestley raised the priority of this task from to Normal.
epriestley updated the task description. (Show Details)
epriestley added a project: Harbormaster.
epriestley added subscribers: epriestley, zeeg.
epriestley edited this Maniphest Task.Apr 16 2014, 9:26 PM
epriestley edited this Maniphest Task.Apr 16 2014, 10:16 PM
epriestley edited this Maniphest Task.Apr 16 2014, 10:35 PM

it should be nice to create an event listener "before landing"

epriestley edited this Maniphest Task.Apr 17 2014, 3:33 PM
epriestley edited this Maniphest Task.Apr 17 2014, 4:06 PM
epriestley edited this Maniphest Task.Apr 17 2014, 5:07 PM
epriestley edited this Maniphest Task.Apr 17 2014, 11:00 PM
epriestley closed this task as Resolved.Apr 17 2014, 11:00 PM

Closed by commit rARC6e597b292ad1.

epriestley edited this Maniphest Task.Apr 17 2014, 11:00 PM
epriestley edited this Maniphest Task.
epriestley edited this Maniphest Task.
epriestley edited this Maniphest Task.
epriestley edited this Maniphest Task.
epriestley edited this Maniphest Task.Apr 18 2014, 2:20 PM